<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
		else go(URL);
}
else go(URL);

if (!empty($_GET['target']) && !empty($_GET['from']) && is_numeric($_GET['from'])) $target = '&target='.check($_GET['target']).'&from='.abs(intval($_GET['from'])); else $target = '';

$title = $arr_user['name'].' '.$arr_user['surname'].' :: '.lang('Документы','Документи');
require_once '../incfiles/head.php';
require_once 'handler/new_doc.php';

echo user_access_page($arr_user);

	echo '<div class="title">
	<a href="'.URL.'/?id='.$id.'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a>';
	if (!empty($user_id) && $device == 'Computer') echo' <a class="title_a_hover" href="'.URL.'/doc/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Документы','Документи').' <img src="'.URL.'/design/img/title_menu.png"/></a>
	</div>';
	if (!empty($user_id) && $device == 'Mobile') echo' <a class="title_a_hover" href="'.URL.'/doc/?id='.$id.'&act=add" onclick="Page.Go(this.href); return false">'.lang('Документы','Документи').' <img src="'.URL.'/design/img/title_menu.png"/></a></div>';

	if (!empty($user_id) && $user_id == $arr_user['id'])
	{
		echo '<div id="title_menu"><div class="block2">
		'.lang('Название папки','Назва теки').':<br/>
		<form id="form" action="'.URL.'/doc/?id='.$id.'" method="post">
		<input class="input2" style="width:70%;" type="text" name="name"/>
		<input class="button2" type="submit" value="'.lang('Создать','Створити').'"/>
		</form>
		</div></div>';
	}	
	
$act = htmlentities(trim($_GET['act']));
	
switch($act)
{
default:	
break;
case 'add':
if (!empty($user_id) && $user_id == $arr_user['id'])
	{
		echo '<div class="block2">
		'.lang('Название папки','Назва теки').':<br/>
		<form id="form" action="'.URL.'/doc/?id='.$id.'" method="post">
		<input class="input2" style="width:70%;" type="text" name="name"/>
		<input class="button2" type="submit" value="'.lang('Создать','Створити').'"/>
		</form>
		</div>';
	}	

}
	
	
	
	
	
	
	

	
$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `doc_papka` WHERE `user_id` = '".$arr_user['id']."' LIMIT 1"),0);
	if ($all == true)
	{
		$cp = ceil($all/10);
		$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
		$start = $p*10-10;

		$res = mysql_query("SELECT * FROM `doc_papka` WHERE `user_id` = '".$arr_user['id']."' ORDER by `uptime` DESC LIMIT $start,10");
		while ($arr = mysql_fetch_array($res))
		{
$count_photos = mysql_result(mysql_query("SELECT COUNT(*) FROM `doc_file` WHERE `aid` = '$arr[id]'"),0);
			echo '<div class="block">
			<a href="'.URL.'/doc/doc.php?id='.$arr['id'].''.$target.'" onclick="Page.Go(this.href); return false;"><img class="album_cover" src="'.URL.''.(!empty($arr['cover'])?'/files/doc/'.$arr['user_id'].'/icons/'.$arr['cover']:'/design/img/cover.png" style="border:0;').'"/><b>'.$arr['name'].'</b></a> <b>'.$count_doc.'</b>
			<ul>
			'.lang('Обновлено','Оновлено').': '.vtime($arr['uptime']).'<br/>
			'.lang('Создана','Створена').': '.vtime($arr['time']).'
			</ul>
			</div>';
		}
		navi($p,$cp,'/doc/?id='.$arr_user['id'].'&');
	}
	else if (!empty($user_id) && $user_id == $arr_user['id'] && $all == 0) echo '<p><div class="time"><center>'.lang('Для создания папки нажмите на кнопку<p><a class="title_a_hover" href="'.URL.'/doc/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Документы','Документи').' <img src="'.URL.'/design/img/title_menu.png"/></a></p>которая содержит в себе скрытое меню','Для створення теки натисніть на кнопку<p><a class="title_a_hover" href="'.URL.'/doc/?id='.$id.'" onclick="Title.Open(); return false">'.lang('Документы','Документи').' <img src="'.URL.'/design/img/title_menu.png"/></a></p> яка містить в собі приховане меню').'</center></div></p>';

	
require_once '../incfiles/foot.php';

?>